### Constructor

# Foundry DebuggerActions new

since: 1.1

#### Declaration [src]

    FoundryDebuggerActions*
    foundry_debugger_actions_new (
      FoundryDebugger* debugger,
      FoundryDebuggerThread* thread
    )

#### Description [src]

Creates a new `FoundryDebuggerActions` instance.

Available since: 1.1

#### Parameters

`debugger`

  Type: `FoundryDebugger`

  A `FoundryDebugger`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`thread`

  Type: `FoundryDebuggerThread`

  A `FoundryDebuggerThread`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `FoundryDebuggerActions`

A new `FoundryDebuggerActions`.

The caller of the function takes ownership of the data, and is responsible for freeing it.